package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 任务定制-财务指标项子表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-09
 */
@ApiModel(value="CostSurveyFdProjectData对象", description="任务定制-财务指标项子表")
public class CostSurveyFdProjectData extends BaseModel<CostSurveyFdProjectData> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id")
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "关联财务数据表ID")
    @TableField("survey_template_id")
    @JsonProperty("surveyTemplateId")
    private String surveyTemplateId;
    
    @ApiModelProperty(value = "表头id")
    @TableField("headers_id")
    @JsonProperty("headersId")
    private String headersId;
    
    @ApiModelProperty(value = "版本id")
    @TableField("version_id")
    @JsonProperty("versionId")
    private String versionId;
    
    @ApiModelProperty(value = "顺序")
    @TableField("order_num")
    @JsonProperty("orderNum")
    private Integer orderNum;
    
    @ApiModelProperty(value = "序号")
    @TableField("order_text")
    @JsonProperty("orderText")
    private String orderText;
    
    @ApiModelProperty(value = "数据key")
    @TableField("rkey")
    @JsonProperty("rkey")
    private String rkey;
    
    @ApiModelProperty(value = "数据值")
    @TableField("rvalue")
    @JsonProperty("rvalue")
    private String rvalue;
    
    @ApiModelProperty(value = "数据的json串")
    @TableField("json_str")
    @JsonProperty("jsonStr")
    private String jsonStr;
    
    @ApiModelProperty(value = "指标编号")
    @TableField("cell_code")
    @JsonProperty("cellCode")
    private String cellCode;
    
    @ApiModelProperty(value = "计算公式")
    @TableField("calculation_formula")
    @JsonProperty("calculationFormula")
    private String calculationFormula;
    
    @ApiModelProperty(value = "单位")
    @TableField("unit")
    @JsonProperty("unit")
    private String unit;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "项目id")
    @TableField("project_id")
    @JsonProperty("projectId")
    private String projectId;
    
    @ApiModelProperty(value = "任务id")
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;



    /**
     * 行数据id
     */
    @ApiModelProperty(value = "行数据id")
    @TableField("rowid")
    @JsonProperty("rowid")
    private String rowid;


    /**
     * 父节点id
     */
    @ApiModelProperty(value = "父节点id")
    @TableField("parentid")
    @JsonProperty("parentid")
    private String parentid;


    /**
     * 公式引用其他模板的id
     */
    @ApiModelProperty(value = "公式引用其他模板的id")
    @TableField("calculation_template_id")
    @JsonProperty("calculationTemplateId")
    private String calculationTemplateId;

    @ApiModelProperty(value = "原模板的主键ID")
    @TableField("orgin_survey_template_id")
    @JsonProperty("orginSurveyTemplateId")
    private String orginSurveyTemplateId;

    @ApiModelProperty(value = "原模板表头主键ID")
    @TableField("orgin_headerid")
    @JsonProperty("orginHeaderid")
    private String orginHeaderid;

    @ApiModelProperty(value = "原模板指标项主键ID")
    @TableField("orgin_itemid")
    @JsonProperty("orginItemid")
    private String orginItemid;

    @ApiModelProperty(value = "指标值")
    @TableField("calculation_value")
    @JsonProperty("calculationValue")
    private String calculationValue;

    @ApiModelProperty(value = "年度")
    @TableField("year")
    @JsonProperty("year")
    private String year;


    public String getOrginSurveyTemplateId() {
        return orginSurveyTemplateId;
    }

    public void setOrginSurveyTemplateId(String orginSurveyTemplateId) {
        this.orginSurveyTemplateId = orginSurveyTemplateId;
    }

    public String getOrginHeaderid() {
        return orginHeaderid;
    }

    public void setOrginHeaderid(String orginHeaderid) {
        this.orginHeaderid = orginHeaderid;
    }

    public String getOrginItemid() {
        return orginItemid;
    }

    public void setOrginItemid(String orginItemid) {
        this.orginItemid = orginItemid;
    }

    public String getCalculationValue() {
        return calculationValue;
    }

    public void setCalculationValue(String calculationValue) {
        this.calculationValue = calculationValue;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getCalculationTemplateId() {
        return calculationTemplateId;
    }

    public void setCalculationTemplateId(String calculationTemplateId) {
        this.calculationTemplateId = calculationTemplateId;
    }

    public String getRowid() {
        return rowid;
    }

    public void setRowid(String rowid) {
        this.rowid = rowid;
    }

    public String getParentid() {
        return parentid;
    }

    public void setParentid(String parentid) {
        this.parentid = parentid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getSurveyTemplateId() {
        return surveyTemplateId;
    }

    public void setSurveyTemplateId(String surveyTemplateId) {
        this.surveyTemplateId = surveyTemplateId;
    }
    public String getHeadersId() {
        return headersId;
    }

    public void setHeadersId(String headersId) {
        this.headersId = headersId;
    }
    public String getVersionId() {
        return versionId;
    }

    public void setVersionId(String versionId) {
        this.versionId = versionId;
    }
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
    public String getOrderText() {
        return orderText;
    }

    public void setOrderText(String orderText) {
        this.orderText = orderText;
    }
    public String getRkey() {
        return rkey;
    }

    public void setRkey(String rkey) {
        this.rkey = rkey;
    }
    public String getRvalue() {
        return rvalue;
    }

    public void setRvalue(String rvalue) {
        this.rvalue = rvalue;
    }
    public String getJsonStr() {
        return jsonStr;
    }

    public void setJsonStr(String jsonStr) {
        this.jsonStr = jsonStr;
    }
    public String getCellCode() {
        return cellCode;
    }

    public void setCellCode(String cellCode) {
        this.cellCode = cellCode;
    }
    public String getCalculationFormula() {
        return calculationFormula;
    }

    public void setCalculationFormula(String calculationFormula) {
        this.calculationFormula = calculationFormula;
    }
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostSurveyFdProjectData{" +
                "id='" + id + '\'' +
                ", surveyTemplateId='" + surveyTemplateId + '\'' +
                ", headersId='" + headersId + '\'' +
                ", versionId='" + versionId + '\'' +
                ", orderNum=" + orderNum +
                ", orderText='" + orderText + '\'' +
                ", rkey='" + rkey + '\'' +
                ", rvalue='" + rvalue + '\'' +
                ", jsonStr='" + jsonStr + '\'' +
                ", cellCode='" + cellCode + '\'' +
                ", calculationFormula='" + calculationFormula + '\'' +
                ", unit='" + unit + '\'' +
                ", createTime=" + createTime +
                ", createBy='" + createBy + '\'' +
                ", updateTime=" + updateTime +
                ", updateBy='" + updateBy + '\'' +
                ", projectId='" + projectId + '\'' +
                ", taskId='" + taskId + '\'' +
                ", calculationTemplateId='" + calculationTemplateId + '\'' +
                ", rowid='" + rowid + '\'' +
                ", parentid='" + parentid + '\'' +
                ", calculationTemplateId='" + calculationTemplateId + '\'' +
                ", orginSurveyTemplateId='" + orginSurveyTemplateId + '\'' +
                ", orginHeaderid='" + orginHeaderid + '\'' +
                ", orginItemid='" + orginItemid + '\'' +
                ", calculationValue='" + calculationValue + '\'' +
                ", year='" + year + '\'' +
                '}';
    }
}
